IllegalAccessException (Java Platform SE 8 )
Keywords: java.lang.IllegalAccessException class
Date: 2015-05-24

compact1, compact2, compact3
java.lang

## Class IllegalAccessException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.ReflectiveOperationException
      - - java.lang.IllegalAccessException

- All Implemented Interfaces:
    Serializable

      public class IllegalAccessException
      extends ReflectiveOperationException

  An IllegalAccessException is thrown when an application tries to reflectively create an instance (other than an array), set or get a field, or invoke a method, but the currently executing method does not have access to the definition of the specified class, field, method or constructor.
  Since:
    JDK1.0
  See Also:
    `Class.newInstance()`, `Field.set(Object, Object)`, `Field.setBoolean(Object, boolean)`, `Field.setByte(Object, byte)`, `Field.setShort(Object, short)`, `Field.setChar(Object, char)`, `Field.setInt(Object, int)`, `Field.setLong(Object, long)`, `Field.setFloat(Object, float)`, `Field.setDouble(Object, double)`, `Field.get(Object)`, `Field.getBoolean(Object)`, `Field.getByte(Object)`, `Field.getShort(Object)`, `Field.getChar(Object)`, `Field.getInt(Object)`, `Field.getLong(Object)`, `Field.getFloat(Object)`, `Field.getDouble(Object)`, `Method.invoke(Object, Object[])`, `Constructor.newInstance(Object[])`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IllegalAccessException()` Constructs an `IllegalAccessException` without a detail message.
    `IllegalAccessException(String s)` Constructs an `IllegalAccessException` with a detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IllegalAccessException

          public IllegalAccessException()

      Constructs an `IllegalAccessException` without a detail message.

    - #### IllegalAccessException

          public IllegalAccessException(String s)

      Constructs an `IllegalAccessException` with a detail message.
      Parameters:
        `s` - the detail message.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.